summaryrefslogtreecommitdiff
path: root/dev-ruby/rubyzip
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/rubyzip')
-rw-r--r--dev-ruby/rubyzip/Manifest1
-rw-r--r--dev-ruby/rubyzip/rubyzip-2.4.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-ruby/rubyzip/Manifest b/dev-ruby/rubyzip/Manifest
index 218936ed3a05..a1ff55a08da3 100644
--- a/dev-ruby/rubyzip/Manifest
+++ b/dev-ruby/rubyzip/Manifest
@@ -1 +1,2 @@
DIST rubyzip-2.3.2-git.tgz 225923 BLAKE2B ed901326cd0f79c8be004d9c14b32d7e67e90ab4d2d5b67dc64559fd4691dfb63cfa1ee18363a7cf864bd62559f1bc2fae71fc25ad1c727d7cc01f94d1ec62ee SHA512 6c64e53c1f5ca530abfa22baf388f87c8cf098d81cc9c639f20903e5193cf26243fbf861ac12002ae954f026e04168d8a55beeaf3ac5542bd0618ca85a5c90de
+DIST rubyzip-2.4-git.tgz 229877 BLAKE2B 3bbc47e714ac759427341d9cc79396643f29ad526d5807b99e12cc459a4e071ab777215dd1916f944f6953454fd886238d660e8384b8bfbff311acd4872fa281 SHA512 b1b7c17bef8c342763a6744847b6741344c905ec4100fe2810e8f2c9ac1435f526553980f48ce5cf2eade60681e97f6bc49b6a4ed8d17a92e3243b346b6a3362
diff --git a/dev-ruby/rubyzip/rubyzip-2.4.ebuild b/dev-ruby/rubyzip/rubyzip-2.4.ebuild
new file mode 100644
index 000000000000..b3adad400f1a
--- /dev/null
+++ b/dev-ruby/rubyzip/rubyzip-2.4.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md TODO"
+
+RUBY_FAKEGEM_GEMSPEC="rubyzip.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A ruby library for reading and writing zip files"
+HOMEPAGE="https://github.com/rubyzip/rubyzip"
+# Tests are not included in the gem.
+SRC_URI="https://github.com/rubyzip/rubyzip/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="Ruby-BSD"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+
+DEPEND="test? ( app-arch/zip )"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest:5 )"
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc samples/*
+}
+
+all_ruby_prepare() {
+ # Avoid dependencies on simplecov and coveralls
+ sed -i -e '/simplecov/ s:^:#:' test/test_helper.rb || die
+
+ # Avoid dependency on bundler
+ sed -i -e '/bundler/ s:^:#: ; /rubocop/I s:^:#:' Rakefile || die
+
+ # Fix hardcoded path to /tmp
+ sed -i -e "s:/tmp/:${T}/:g" test/entry_test.rb || die
+
+ # Add missing requires
+ sed -i -e '1irequire "forwardable"; require "pathname"' test/input_stream_test.rb || die
+
+ # Fix broken test that uses native endian
+ sed -i -e '/pack/ s/LLS/VVv/' test/file_extract_test.rb || die
+}